## gcc-8-cross 32ubuntu1

=== debian/changelog ===
gcc-8-cross (32ubuntu1) focal; urgency=medium

  * Build using gcc 8.3.0-26ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Dec 2019 14:57:14 +0100
