## gcc-8-cross 33

=== debian/changelog ===
gcc-8-cross (33) unstable; urgency=medium

  * Build using gcc 8.4.0-1.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Mar 2020 20:23:34 +0100
