## gcc-8-cross 33ubuntu1

=== debian/changelog ===
gcc-8-cross (33ubuntu1) focal; urgency=medium

  * Build using gcc 8.4.0-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 11:25:39 +0100
