=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: gcc-8-source (>= 8.4.0-1~), binutils-multiarch (>= 2.30-11),
   autoconf2.64, autogen, bison (>= 1:2.3),
   chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
-  gperf (>= 3.0.1), lib32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], libx32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], lib64gcc1-i386-cross [amd64 arm64 ppc64el x32], libx32gcc1-i386-cross [amd64 arm64 ppc64el x32], lib32gcc1-s390x-cross [amd64 i386 x32 arm64 ppc64el],
-  binutils-x86-64-linux-gnu:any (>= 2.30-11) [amd64 arm64 i386 ppc64el x32], binutils-s390x-linux-gnu:any (>= 2.30-11) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu:any (>= 2.30-11) [amd64 i386 x32 ppc64 arm64], binutils-aarch64-linux-gnu:any (>= 2.30-11) [amd64 i386 x32 ppc64el], binutils-arm-linux-gnueabihf:any (>= 2.30-11) [amd64 i386 x32 arm64 ppc64el], binutils-arm-linux-gnueabi:any (>= 2.30-11) [amd64 i386 x32 arm64 ppc64el], binutils-i686-linux-gnu:any (>= 2.30-11) [amd64 arm64 ppc64el x32],
-  libc6-dev-amd64-cross (>= 2.29) [amd64 arm64 i386 ppc64el x32], libc6-dev-s390x-cross (>= 2.29) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.29) [amd64 i386 x32 ppc64 arm64], libc6-dev-arm64-cross (>= 2.29) [amd64 i386 x32 ppc64el], libc6-dev-armhf-cross (>= 2.29) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross (>= 2.29) [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-cross (>= 2.29) [amd64 arm64 ppc64el x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-s390-s390x-cross [amd64 i386 x32 arm64 ppc64el],
-  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64 arm64], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-i386-cross [amd64 arm64 ppc64el x32],
+  gperf (>= 3.0.1), libhfgcc1-armel-cross [amd64 i386 x32 arm64 ppc64el], libsfgcc1-armhf-cross [amd64 i386 x32 arm64 ppc64el], lib32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], libx32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], lib64gcc1-i386-cross [amd64 arm64 ppc64el x32], libx32gcc1-i386-cross [amd64 arm64 ppc64el x32], lib32gcc1-s390x-cross [amd64 i386 x32 arm64 ppc64el], lib64gcc1-powerpc-cross [amd64 i386 x32 ppc64el],
+  binutils-x86-64-linux-gnu:any (>= 2.30-11) [amd64 arm64 i386 ppc64el x32], binutils-s390x-linux-gnu:any (>= 2.30-11) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu:any (>= 2.30-11) [amd64 i386 x32 ppc64 arm64], binutils-aarch64-linux-gnu:any (>= 2.30-11) [amd64 i386 x32 ppc64el], binutils-arm-linux-gnueabihf:any (>= 2.30-11) [amd64 i386 x32 arm64 ppc64el], binutils-arm-linux-gnueabi:any (>= 2.30-11) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc-linux-gnu:any (>= 2.30-11) [amd64 i386 x32 ppc64el], binutils-i686-linux-gnu:any (>= 2.30-11) [amd64 arm64 ppc64el x32],
+  libc6-dev-amd64-cross (>= 2.29) [amd64 arm64 i386 ppc64el x32], libc6-dev-s390x-cross (>= 2.29) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.29) [amd64 i386 x32 ppc64 arm64], libc6-dev-arm64-cross (>= 2.29) [amd64 i386 x32 ppc64el], libc6-dev-armhf-cross (>= 2.29) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross (>= 2.29) [amd64 i386 x32 arm64 ppc64el], libc6-dev-powerpc-cross (>= 2.29) [amd64 i386 x32 ppc64el], libc6-dev-i386-cross (>= 2.29) [amd64 arm64 ppc64el x32], libc6-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-s390-s390x-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64-powerpc-cross [amd64 i386 x32 ppc64el],
+  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64 arm64], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-powerpc-cross [amd64 i386 x32 ppc64el], linux-libc-dev-i386-cross [amd64 arm64 ppc64el x32],
   libisl-dev (>= 0.14-1~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   dwz, pkg-config, libgc-dev,
@@ -151,49 +151,46 @@
  On architectures with multilib support, the package contains files
  and dependencies for the non-default multilib architecture(s).
 
-Package: gobjc++-8-x86-64-linux-gnu
-Architecture: arm64 i386 ppc64el x32
+Package: libasan5-dbg-amd64-cross
+Architecture: all
+Section: debug
 Priority: optional
-Depends: gcc-8-x86-64-linux-gnu-base (= ${gcc:Version}), gobjc-8-x86-64-linux-gnu (= ${gcc:Version}), g++-8-x86-64-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, libobjc-8-dev-amd64-cross (= ${gcc:Version}), ${misc:Depends}
-Suggests: ${gobjcxx:multilib}, gcc-8-doc (>= ${gcc:SoftVersion})
-Provides: objc++-compiler-x86-64-linux-gnu
-Description: GNU Objective-C++ compiler
- This is the GNU Objective-C++ compiler, which compiles
- Objective-C++ on platforms supported by the gcc compiler. It uses the
- gcc backend to generate optimized code.
+Depends: gcc-8-x86-64-linux-gnu-base (= ${gcc:Version}), libasan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: AddressSanitizer -- a fast memory error detector (debug symbols)
+ AddressSanitizer (ASan) is a fast memory error detector.  It finds
+ use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
-Package: gobjc++-8-multilib-x86-64-linux-gnu
-Architecture: arm64 i386 ppc64el x32
-Section: devel
+Package: lib32asan5-dbg-amd64-cross
+Architecture: all
+Section: debug
 Priority: optional
-Depends: gcc-8-x86-64-linux-gnu-base (= ${gcc:Version}), gobjc++-8-x86-64-linux-gnu (= ${gcc:Version}), g++-8-multilib-x86-64-linux-gnu (= ${gcc:Version}), gobjc-8-multilib-x86-64-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: GNU Objective-C++ compiler (multilib files)
- This is the GNU Objective-C++ compiler, which compiles Objective-C++ on
- platforms supported by the gcc compiler.
- .
- On architectures with multilib support, the package contains files
- and dependencies for the non-default multilib architecture(s).
+Depends: gcc-8-x86-64-linux-gnu-base (= ${gcc:Version}), lib32asan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: AddressSanitizer -- a fast memory error detector (32 bit debug symbols)
+ AddressSanitizer (ASan) is a fast memory error detector.  It finds
+ use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
-Package: gobjc-8-x86-64-linux-gnu
-Architecture: arm64 i386 ppc64el x32
+Package: libx32asan5-dbg-amd64-cross
+Architecture: all
+Section: debug
 Priority: optional
-Depends: gcc-8-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-8-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, libobjc-8-dev-amd64-cross (= ${gcc:Version}), ${misc:Depends}
-Suggests: ${gobjc:multilib}, gcc-8-doc (>= ${gcc:SoftVersion}), libobjc4-dbg-amd64-cross
-Provides: objc-compiler-x86-64-linux-gnu
-Description: GNU Objective-C compiler
- This is the GNU Objective-C compiler, which compiles
- Objective-C on platforms supported by the gcc compiler. It uses the
- gcc backend to generate optimized code.
+Depends: gcc-8-x86-64-linux-gnu-base (= ${gcc:Version}), libx32asan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: AddressSanitizer -- a fast memory error detector (x32 debug symbols)
+ AddressSanitizer (ASan) is a fast memory error detector.  It finds
+ use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
-Package: gobjc-8-multilib-x86-64-linux-gnu
-Architecture: arm64 i386 ppc64el x32
-Section: devel
+Package: libubsan1-dbg-amd64-cross
+Architecture: all
+Section: debug
 Priority: optional
-Depends: gcc-8-x86-64-linux-gnu-base (= ${gcc:Version}), gobjc-8-x86-64-linux-gnu (= ${gcc:Version}), gcc-8-multilib-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libobjcbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
-Description: GNU Objective-C compiler (multilib files)
- This is the GNU Objective-C compiler, which compiles Objective-C on platforms
- supported by the gcc compiler.
- .
- On architectures with multilib support, the package contains files
- and dependencies for the non-default multilib architecture(s).
+Depends: gcc-8-x86-64-linux-gnu-base (= ${gcc:Version}), libubsan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: UBSan -- undefined behaviour sanitizer (debug symbols)
+ UndefinedBehaviorSanitizer can be enabled via -fsanitize=undefined.
+ Various computations will be instrumented to detect undefined behavior
+ at runtime. Available for C and C++.
 
+Package: lib32ubsan1-dbg-amd64-cross
+Architecture: all
+Section: debug
+Priority: optional
+Depends: gcc-8-x86-64-linux-gnu-base (= ${gcc:Version}), lib32ubsan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: UBSan -- undefined behaviour sanitizer (32 bit debug symbols)
