## gcc-8-cross 33ubuntu2

=== debian/changelog ===
gcc-8-cross (33ubuntu2) focal; urgency=medium

  * Build using gcc 8.4.0-3ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 13:05:58 +0100
