=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: gcc-8-source (>= 8.4.0-1~), binutils-multiarch (>= 2.30-11),
+Build-Depends: gcc-8-source (>= 8.4.0-3~), binutils-multiarch (>= 2.30-11),
   autoconf2.64, autogen, bison (>= 1:2.3),
   chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
   gperf (>= 3.0.1), libhfgcc1-armel-cross [amd64 i386 x32 arm64 ppc64el], libsfgcc1-armhf-cross [amd64 i386 x32 arm64 ppc64el], lib32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], libx32gcc1-amd64-cross [amd64 arm64 i386 ppc64el x32], lib64gcc1-i386-cross [amd64 arm64 ppc64el x32], libx32gcc1-i386-cross [amd64 arm64 ppc64el x32], lib32gcc1-s390x-cross [amd64 i386 x32 arm64 ppc64el], lib64gcc1-powerpc-cross [amd64 i386 x32 ppc64el],
