=== debian/rules ===
#!/usr/bin/make -f

, := ,
space :=
space +=
$(space) := 
$(space) +=

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(,), ,$(DEB_BUILD_OPTIONS))))
  JOBS := $(subst parallel=,,$(filter parallel=%,$(subst $(,),$(space),$(DEB_BUILD_OPTIONS))))
  ifeq ($(JOBS),1)
    JOBS := 2
  endif
else
  JOBS := 2
endif
DEB_BUILD_OPTIONS := $(filter-out parallel=%,$(DEB_BUILD_OPTIONS)) parallel=$(JOBS)
export DEB_BUILD_OPTIONS
NJOBS = -j $(JOBS)

vendor := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; else echo Debian; fi)

GCC_VER := $(shell dpkg-parsechangelog |egrep ^Source:|cut -f2 -d' '|cut -f2 -d'-')

ifeq ($(GCC_VER),4.8)
  MIN_VER_GCC      := 4.8.1-16
  PPA_VER_GCC      := 4.8.1
endif

ifeq ($(GCC_VER),4.9)
  MIN_VER_GCC      := 4.9.2-10ubuntu5~
  PPA_VER_GCC      := 4.9.2
endif

ifeq ($(GCC_VER),5)
  MIN_VER_GCC      := 5.3.1-2~
  PPA_VER_GCC      := 5.3.1
endif

ifeq ($(GCC_VER),6)
  MIN_VER_GCC      := 6.1.1-9~
  PPA_VER_GCC      := 6.1.1
endif

ifeq ($(GCC_VER),7)
  MIN_VER_GCC      := 7.2.0-6~
  PPA_VER_GCC      := 7.2.0
endif

ifeq ($(GCC_VER),8)
  MIN_VER_GCC      := 8.4.0-3~
  PPA_VER_GCC      := 8.4.0-3~
endif

ifndef MIN_VER_GCC
  MIN_VER_GCC      := ${GCC_VER}.0.1-0~
  #MIN_VER_GCC      := ${GCC_VER}-20160225-0~
endif

DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Version: \(.*\)/\1/p')
DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-8-cross),arm64,ppc64))
CROSS_EXT       := cross$(DEB_VER_ACT)

VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | awk '/^Version:/ {print $$2}' | sed 's/-[^-]*$$//')
GCC_DIR        := /usr/src/gcc-${GCC_VER}
GCC_TARBALL := $(wildcard $(GCC_DIR)/gcc-*.xz)
VER_BINUTILS   := 2.30-11
MIN_VER_BINUTILS   := 2.30-11
VER_ISL      := 0.14-1~
MIN_VER_GLIBC   := 2.29

DEB_VER_GCC    := $(shell dpkg-parsechangelog -l${GCC_DIR}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')

CROSS_BIARCH_armhf:=armel
CROSS_BIARCH_armel:=armhf
CROSS_BIARCH_powerpc:=ppc64
CROSS_BIARCH_s390x:=s390

HOST_ARCHS_alpha = amd64 i386 x32
# FIXME: adding amd64 in HOST_ARCHS_amd64 hard codes the indep build
# to amd64 buildds ...
HOST_ARCHS_amd64 = amd64 arm64 i386 ppc64el x32
HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el
HOST_ARCHS_hppa = amd64 i386 x32
HOST_ARCHS_i386 = amd64 arm64 ppc64el x32
HOST_ARCHS_m68k = amd64 i386 x32
HOST_ARCHS_mipsel = amd64 i386 x32
HOST_ARCHS_mipsn32 = amd64 i386 x32
HOST_ARCHS_mipsn32el = amd64 i386 x32
HOST_ARCHS_mips64 = amd64 i386 x32
HOST_ARCHS_mips64el = amd64 i386 x32
HOST_ARCHS_mipsr6 = amd64 i386 x32
HOST_ARCHS_mipsr6el = amd64 i386 x32
HOST_ARCHS_mipsn32r6 = amd64 i386 x32
HOST_ARCHS_mipsn32r6el = amd64 i386 x32
HOST_ARCHS_mips64r6 = amd64 i386 x32
HOST_ARCHS_mips64r6el = amd64 i386 x32
HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
HOST_ARCHS_ppc64 = amd64 i386 x32
HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_sh4 = amd64 i386 x32
HOST_ARCHS_sparc64 = amd64 i386 x32
HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el

HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
stamp            := stamp-dir/

ifeq (,$(CROSS_ARCHS))
  ifeq ($(DEB_NAME_ACT),gcc-8-cross)
    ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
      CROSS_ARCHS  = amd64
      CROSS_ARCHS  += s390x ppc64el arm64 armhf armel \
	$(if $(filter $(vendor), Ubuntu), powerpc) \
        $(if $(filter $(HOST_ARCH), amd64 x32), i386)
        # $(if $(filter $(HOST_ARCH), i386 x32), amd64)
    else ifeq ($(HOST_ARCH),arm64)
      CROSS_ARCHS = amd64 armel armhf i386 ppc64el s390x
    else ifeq ($(HOST_ARCH),ppc64)
      CROSS_ARCHS = ppc64el
    else ifeq ($(HOST_ARCH),ppc64el)
      CROSS_ARCHS = amd64 i386 $(if $(filter $(vendor), Ubuntu), powerpc) \
	armel armhf arm64 s390x
    else
      CROSS_ARCHS =
    endif
    GCC_PORTS_BUILD=
  else ifeq ($(DEB_NAME_ACT),gcc-8-cross-mipsen)
    ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
      CROSS_ARCHS  ?= mipsel mips64el mips64 \
        mipsr6 mipsr6el mips64r6 mips64r6el
      # n32: mipsn32 mipsn32el mipsn32r6 mipsn32r6el
      # have problem on ada
    endif
    GCC_PORTS_BUILD=-mipsen
  else # -ports package
    ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
      CROSS_ARCHS  ?= alpha hppa m68k ppc64 riscv64 sh4 sparc64 \
		$(if $(filter $(vendor), Ubuntu),, powerpc) \
		$(if $(filter $(HOST_ARCH), amd64 i386), x32)
    else ifeq ($(HOST_ARCH),arm64)
      CROSS_ARCHS = x32 riscv64
    else ifeq ($(HOST_ARCH),ppc64el)
      CROSS_ARCHS = x32 riscv64 $(if $(filter $(vendor), Ubuntu),, powerpc)
    else
      CROSS_ARCHS =
    endif
    GCC_PORTS_BUILD=-ports
  endif
endif

CROSS_ARCH       = $(subst .,,$(suffix $@))
KERNEL_ARCH      = $(KERNEL_ARCH_$(CROSS_ARCH))
CROSS_BIARCH     = $(CROSS_BIARCH_$(CROSS_ARCH))
_gnu_type        = $(shell dpkg-architecture -a$(1) -qDEB_HOST_GNU_TYPE -f)
_pkg_gnu_type    = $(shell dpkg-architecture -a$(1) -qDEB_HOST_GNU_TYPE -f | tr _ -)
CROSS_GNU_TYPE   = $(call _gnu_type,${CROSS_ARCH})
HOST_ARCHS       = $(HOST_ARCH_$(CROSS_ARCH))
ADA_HOST_ARCHS   = $(HOST_ARCH_$(CROSS_ARCH))
ADA64_HOST_ARCHS = $(filter-out i386,$(HOST_ARCH_$(CROSS_ARCH)))

ARM32_MULTILIBS :=
ifeq ($(vendor),Ubuntu)
  ARM32_MULTILIBS := yes
endif

ifeq ($(vendor),Debian)
  skip_dbg_packages = yes
  skip_arm32ml_packages = yes
endif

libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-arm64-cross | awk '/^Source:/ { print $$2 }')
#ifneq ($(DEB_NAME_ACT),$(libgcc_source))
#  skip_common_packages = yes
#endif
skip_common_packages = yes

BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),binutils-$(call _pkg_gnu_type,$(a)):any (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
GLIBC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),libc6$(if $(filter $(a),alpha ia64),.1)-dev-$(a)-cross (>= $(MIN_VER_GLIBC)) [$(HOST_ARCHS_$(a))]$(,))
LINUX_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),linux-libc-dev-$(a)-cross [$(HOST_ARCHS_$(a))]$(,))

# build multilib cross compilers
ifeq ($(ARM32_MULTILIBS),yes)
  ifneq (,$(filter armel, $(CROSS_ARCHS)))
    EXTRA_BUILD_DEPS += libc6-dev-armhf-cross [$(HOST_ARCHS_armel)],
    ifeq ($(skip_common_packages),yes)
      GCC_BUILD_DEPS += libhfgcc1-armel-cross [$(HOST_ARCHS_armel)],
    endif
  endif

  ifneq (,$(filter armhf, $(CROSS_ARCHS)))
    EXTRA_BUILD_DEPS += libc6-dev-armel-cross [$(HOST_ARCHS_armhf)],
    ifeq ($(skip_common_packages),yes)
      GCC_BUILD_DEPS += libsfgcc1-armhf-cross [$(HOST_ARCHS_armhf)],
    endif
  endif
endif

ifneq (,$(filter amd64, $(CROSS_ARCHS)))
  EXTRA_BUILD_DEPS += libc6-dev-i386-amd64-cross [$(HOST_ARCHS_amd64)],
  EXTRA_BUILD_DEPS += libc6-dev-x32-amd64-cross [$(HOST_ARCHS_amd64)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib32gcc1-amd64-cross [$(HOST_ARCHS_amd64)],
    GCC_BUILD_DEPS += libx32gcc1-amd64-cross [$(HOST_ARCHS_amd64)],
  endif
endif

ifneq (,$(filter i386, $(CROSS_ARCHS)))
  EXTRA_BUILD_DEPS += libc6-dev-amd64-i386-cross [$(HOST_ARCHS_i386)],
  EXTRA_BUILD_DEPS += libc6-dev-x32-i386-cross [$(HOST_ARCHS_i386)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib64gcc1-i386-cross [$(HOST_ARCHS_i386)],
    GCC_BUILD_DEPS += libx32gcc1-i386-cross [$(HOST_ARCHS_i386)],
  endif
endif

ifneq (,$(filter x32, $(CROSS_ARCHS)))
  EXTRA_BUILD_DEPS += libc6-dev-i386-x32-cross [$(HOST_ARCHS_x32)],
  EXTRA_BUILD_DEPS += libc6-dev-amd64-x32-cross [$(HOST_ARCHS_x32)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib32gcc1-x32-cross [$(HOST_ARCHS_x32)],
    GCC_BUILD_DEPS += lib64gcc1-x32-cross [$(HOST_ARCHS_x32)],
  endif
endif
