## gcc-8-cross 33ubuntu4

=== debian/changelog ===
gcc-8-cross (33ubuntu4) hirsute; urgency=medium

  * Build using gcc 8.4.0-5ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Nov 2020 15:48:14 +0100
