## gcc-8-cross 33ubuntu5

=== debian/changelog ===
gcc-8-cross (33ubuntu5) impish; urgency=medium

  * Build using gcc 8.4.0-7ubuntu5.
  * Stop building the armel/armhf multilib packages for Ubuntu.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Apr 2021 13:30:46 +0200
