=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 NJOBS = -j $(JOBS)
 
 vendor := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; else echo Debian; fi)
+distrelease := $(shell lsb_release -cs)
 
 GCC_VER := $(shell dpkg-parsechangelog |egrep ^Source:|cut -f2 -d' '|cut -f2 -d'-')
 
@@ -46,8 +47,8 @@
 endif
 
 ifeq ($(GCC_VER),8)
-  MIN_VER_GCC      := 8.4.0-5~
-  PPA_VER_GCC      := 8.4.0-5~
+  MIN_VER_GCC      := 8.4.0-7~
+  PPA_VER_GCC      := 8.4.0-7~
 endif
 
 ifndef MIN_VER_GCC
@@ -164,12 +165,18 @@
 
 ARM32_MULTILIBS :=
 ifeq ($(vendor),Ubuntu)
-  ARM32_MULTILIBS := yes
+  ifeq (,$(filter $(distrelease), precise trusty xenial bionic focal groovy hirsute))
+    ARM32_MULTILIBS := yes
+  endif
 endif
 
 ifeq ($(vendor),Debian)
   skip_dbg_packages = yes
   skip_arm32ml_packages = yes
+else ifeq ($(vendor),Ubuntu)
+  ifeq (,$(filter $(distrelease), precise trusty xenial bionic focal groovy hirsute))
+    skip_arm32ml_packages = yes
+  endif
 endif
 
 libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-arm64-cross | awk '/^Source:/ { print $$2 }')
@@ -219,11 +226,3 @@
 
 ifneq (,$(filter x32, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-i386-x32-cross [$(HOST_ARCHS_x32)],
-  EXTRA_BUILD_DEPS += libc6-dev-amd64-x32-cross [$(HOST_ARCHS_x32)],
-  ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib32gcc1-x32-cross [$(HOST_ARCHS_x32)],
-    GCC_BUILD_DEPS += lib64gcc1-x32-cross [$(HOST_ARCHS_x32)],
-  endif
-endif
-
-ifneq (,$(filter ppc64, $(CROSS_ARCHS)))
